# Module arduboy_rust::prelude::arduboyfx::fx

source ·
Expand description

Functions given by the ArduboyFX library.

You can use the ‘FX::’ module to access the functions after the import of the prelude

    use arduboy_rust::prelude::*;

    fn setup() {
        FX::begin()
    }

You will need to uncomment the ArduboyFX_Library in the import_config.h file.

## Functions

- begin
- begin_data
- begin_data_save
- display
- display_clear
- draw_bitmap
- draw_char
- draw_frame
- draw_loaded_frame
- draw_number
- draw_string
- load_game_state
- read_data_array
- save_game_state
- set_cursor
- set_cursor_range
- set_cursor_x
- set_cursor_y
- set_font
- set_font_mode
- set_frame